<template>
  <div class="bounty-social">
    <h3 class="title-text">{{ $t('bounty.social.sns_title', {tokens: settings.facebook_share.value}) }}</h3>
    <div class="note">
      <p class="note__item">
        - {{ $t('bounty.social.sns_note1') }}
      </p>
      <p class="note__item">
        - {{ $t('bounty.social.sns_note2') }}
      </p>
    </div>
    <div class="referral-program-table-container">
      <table class="referral-program-table">
        <thead>
          <tr>
            <th>{{ $t('bounty.social.action') }}</th>
            <th>{{ $t('bounty.social.token') }}</th>
            <th>{{ $t('bounty.social.button') }}</th>
            <th>{{ $t('bounty.social.note') }}</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'Facebook'}) }}</td>
            <td>{{ ((hasProperty('facebook_share') && data.facebook_share.status === 'approved' && !!settings ) ? data.facebook_share.heta_tokens : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <social-sharing :url="urlSharing" v-cloak inline-template>
                <network network="facebook">
                  <label class="btn-share facebook">
                    <span class="iconmo-facebook"><span class="path1"></span><span class="path2"></span></span>
                    <div class="text">Facebook</div>
                  </label>
                </network>
              </social-sharing>
            </td>
            <td>
              <input type="text"
                     v-tooltip="$t('bounty.social.link_share.tooltip', {link: 'facebook.com'})"
                     class="form-control"
                     v-model="fbShareMetaData"
                     :placeholder="$t('bounty.social.copy_share_link')"
                     :disabled="hasProperty('facebook_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" type="button" @click="createBounty('facebook_share', fbShareMetaData)" v-if="!hasProperty('facebook_share')">Done</button>
              <span v-else :class="[`status_${data.facebook_share.status}`]">{{ data.facebook_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'Google +'}) }}</td>
            <td>{{ ((hasProperty('google_share') && data.google_share.status === 'approved' && !!settings ) ? data.google_share.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <social-sharing :url="urlSharing" inline-template>
                <network network="googleplus">
                  <label class="btn-share google">
                    <span class="iconmo-google-plus"><span class="path1"></span><span class="path2"></span><span class="path3"></span></span>
                    <div class="text">Google +</div>
                  </label>
                </network>
              </social-sharing>
            </td>
            <td>
              <input type="text" v-tooltip="$t('bounty.social.link_share.tooltip', {link: 'plus.google.com'})" class="form-control" v-model="ggShareMetaData" :placeholder="$t('bounty.social.copy_share_link')" :disabled="hasProperty('google_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('google_share', ggShareMetaData)" v-if="!hasProperty('google_share')">Done</button>
              <span v-else :class="[`status_${data.google_share.status}`]">{{ data.google_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'LinkedIn'}) }}</td>
            <td>{{ ((hasProperty('linkedin_share') && data.linkedin_share.status === 'approved' && !!settings ) ? data.linkedin_share.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <social-sharing :url="urlSharing" inline-template>
                <network network="linkedin">
                  <label class="btn-share linkedin">
                    <span class="iconmo-linkedin"><span class="path1"></span><span class="path2"></span></span>
                    <div class="text">LinkedIn</div>
                  </label>
                </network>
              </social-sharing>
            </td>
            <td><input type="text" class="form-control" v-tooltip="$t('bounty.social.link_share.tooltip', {link: 'linkedin.com'})" :placeholder="$t('bounty.social.copy_share_link')" v-model="linkedInShareMetaData" :disabled="hasProperty('linkedin_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('linkedin_share', linkedInShareMetaData)" v-if="!hasProperty('linkedin_share')">Done</button>
              <span v-else :class="[`status_${data.linkedin_share.status}`]">{{ data.linkedin_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'Twitter'}) }}</td>
            <td>{{ ((hasProperty('twitter_share') && data.twitter_share.status === 'approved' && !!settings ) ? data.twitter_share.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <social-sharing :url="urlSharing" hashtags="hetachain,hetachain_ico" v-cloak inline-template>
                <network network="twitter">
                  <label class="btn-share twitter">
                    <span class="iconmo-twitter"><span class="path1"></span><span class="path2"></span></span>
                    <div class="text">Twitter</div>
                  </label>
                </network>
              </social-sharing>
            </td>
            <td>
              <input type="text" class="form-control"  v-tooltip="$t('bounty.social.link_share.tooltip', {link: 'twitter.com'})" :placeholder="$t('bounty.social.copy_share_link')" v-model="twitterShareMetaData" :disabled="hasProperty('twitter_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('twitter_share', twitterShareMetaData)" v-if="!hasProperty('twitter_share')">Done</button>
              <span v-else :class="[`status_${data.twitter_share.status}`]">{{ data.twitter_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.facebook_like.title') }}</td>
            <td>{{ ((hasProperty('facebook_like') && data.facebook_like.status === 'approved' && !!settings ) ? data.facebook_like.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share facebook" href="https://www.facebook.com/hetachainofficial" target="_blank">
                <span class="iconmo-facebook"><span class="path1"></span><span class="path2"></span></span>
                <div class="text">Facebook</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'facebook.com'})" :placeholder="$t('bounty.social.copy_share.link', {social: 'Facebook'})" v-model="fbLikeMetaData" :disabled="hasProperty('facebook_like')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('facebook_like', fbLikeMetaData)" v-if="!hasProperty('facebook_like')">Done</button>
              <span v-else :class="[`status_${data.facebook_like.status}`]">{{ data.facebook_like.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.youtube_sub.title') }}</td>
            <td>{{ ((hasProperty('youtube_subscribe') && data.youtube_subscribe.status === 'approved' && !!settings ) ? data.youtube_subscribe.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share youtube" href="https://www.youtube.com/channel/UCP2EHgCDI6guWPldtosMyfw" target="_blank">
                 <span class="iconmo-youtube"><span class="path1"></span><span class="path2"></span></span>
                <div class="text">Youtube</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'youtube.com'})" :placeholder="$t('bounty.social.copy_share.link', {social: 'Youtube'})" v-model="youtubeMetaData" :disabled="hasProperty('youtube_subscribe')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('youtube_subscribe', youtubeMetaData)" v-if="!hasProperty('youtube_subscribe')">Done</button>
              <span v-else :class="[`status_${data.youtube_subscribe.status}`]">{{ data.youtube_subscribe.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.linkedin_connect.title') }}</td>
            <td>{{ ((hasProperty('linkedin_connection') && data.linkedin_connection.status === 'approved' && !!settings ) ? data.linkedin_connection.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share linkedin" href="https://www.linkedin.com/company/hetachain-network/" target="_blank">
                <span class="iconmo-linkedin"><span class="path1"></span><span class="path2"></span></span>
                <div class="text">LinkedIn</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'linkedin.com'})" :placeholder="$t('bounty.social.copy_share.link', {social: 'Linkedin'})" v-model="linkedinConnectionMetaData" :disabled="hasProperty('linkedin_connection')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('linkedin_connection', linkedinConnectionMetaData)" v-if="!hasProperty('linkedin_connection')">Done</button>
              <span v-else :class="[`status_${data.linkedin_connection.status}`]">{{ data.linkedin_connection.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'Twitter'}) }}</td>
            <td>{{ ((hasProperty('twitter_follow') && data.twitter_follow.status === 'approved' && !!settings ) ? data.twitter_follow.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share twitter" href="https://twitter.com/heta_org" target="_blank">
                <span class="iconmo-twitter"><span class="path1"></span><span class="path2"></span></span>
                <div class="text">Twitter</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Twitter'})" v-model="twitterFollowMetaData" :disabled="hasProperty('twitter_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('twitter_follow', twitterFollowMetaData)" v-if="!hasProperty('twitter_follow')">Done</button>
              <span v-else :class="[`status_${data.twitter_follow.status}`]">{{ data.twitter_follow.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.telegram_join.title') }}</td>
            <td>{{ ((hasProperty('telegram_join') && data.telegram_join.status === 'approved' && !!settings ) ? data.telegram_join.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share telegram" href="https://t.me/Hetachain_Community" target="_blank">
                <span class="iconmo-telegram"><span class="path1"></span><span class="path2"></span></span>
                <div class="text">Join</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Telegram'})" v-model="telegramJoinMetaData" :disabled="hasProperty('telegram_join')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('telegram_join', telegramJoinMetaData)" v-if="!hasProperty('telegram_join')">Done</button>
              <span v-else :class="[`status_${data.telegram_join.status}`]">{{ data.telegram_join.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.telegram_news_join.title') }}</td>
            <td>{{ ((hasProperty('telegram_news_join') && data.telegram_news_join.status === 'approved' && !!settings ) ? data.telegram_news_join.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share telegram" href="https://t.me/Hetachain_Announcement" target="_blank">
                <span class="iconmo-telegram"><span class="path1"></span><span class="path2"></span></span>
                <div class="text">News</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Telegram'})" v-model="telegramNewsJoinMetaData" :disabled="hasProperty('telegram_news_join')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('telegram_news_join', telegramNewsJoinMetaData)" v-if="!hasProperty('telegram_news_join')">Done</button>
              <span v-else :class="[`status_${data.telegram_news_join.status}`]">{{ data.telegram_news_join.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'Medium'}) }}</td>
            <td>{{ ((hasProperty('medium_follow') && data.medium_follow.status === 'approved' && !!settings ) ? data.medium_follow.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share medium" href="https://medium.com/@hetachain_blog" target="_blank">
                <span class="iconmo-medium"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span></span>
                <div class="text">Medium</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Medium'})" v-model="mediumFollowMetaData" :disabled="hasProperty('medium_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('medium_follow', mediumFollowMetaData)" v-if="!hasProperty('medium_follow')">Done</button>
              <span v-else :class="[`status_${data.medium_follow.status}`]">{{ data.medium_follow.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'Steemit'}) }}</td>
            <td>{{ ((hasProperty('steemit_follow') && data.steemit_follow.status === 'approved' && !!settings ) ? data.steemit_follow.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share steemit" href="https://steemit.com/@hetachain" target="_blank">
                <div class="fa-steemit"></div>
                <div class="text">Steemit</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Steemit'})" v-model="steemitFollowMetaData" :disabled="hasProperty('steemit_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('steemit_follow', steemitFollowMetaData)" v-if="!hasProperty('steemit_follow')">Done</button>
              <span v-else :class="[`status_${data.steemit_follow.status}`]">{{ data.steemit_follow.status | upperFirst}}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'BitcoinTalk'}) }}</td>
            <td>{{ ((hasProperty('bitcoin_talk_follow') && data.bitcoin_talk_follow.status === 'approved' && !!settings ) ? data.bitcoin_talk_follow.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share btc" href="https://bitcointalk.org/index.php?topic=5043478.msg46488484#msg46488484" target="_blank">
                <div class="btc-icon"></div>
                <div class="text">Bitcoin Talk</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Bitcoin Talk'})" v-model="bitcoinTalkFollowMetaData" :disabled="hasProperty('bitcoin_talk_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('bitcoin_talk_follow', bitcoinTalkFollowMetaData)" v-if="!hasProperty('bitcoin_talk_follow')">Done</button>
              <span v-else :class="[`status_${data.bitcoin_talk_follow.status}`]">{{ data.bitcoin_talk_follow.status | upperFirst }}</span>
            </td>
          </tr>
          <tr class="totalRow">
            <td class="total">{{ $t('bounty.social.total') }}</td>
            <td class="total">{{ total | formatCurrencyAmount('heta', '0') }}</td>
            <td></td>
            <td ></td>
            <td ></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import _ from 'lodash';
import { mapState } from 'vuex';

import rf from '../../../common/requests/RequestFactory';
import MobileDetect from 'mobile-detect';
import bignumber from 'bignumber.js';

export default {
  props: {
    settings: {
      type: Object,
      default: null,
      required: true,
    }
  },
  data () {
    return {
      urlSharing: 'https://www.heta.org/',
      data: {},
      total: 0,
      fbShareMetaData: '',
      ggShareMetaData: '',
      linkedInShareMetaData: '',
      twitterShareMetaData: '',
      fbLikeMetaData: '',
      youtubeMetaData: '',
      linkedinConnectionMetaData: '',
      twitterFollowMetaData: '',
      // redditFollowMetaData: '',
      telegramJoinMetaData: '',
      telegramNewsJoinMetaData: '',
      mediumFollowMetaData: '',
      steemitFollowMetaData: '',
      bitcoinTalkFollowMetaData: '',
    };
  },
  computed: {
    ...mapState([
      'user',
    ]),
  },
  methods: {
    hasProperty (property) {
      return _.has(this.data, property);
    },
    async getSocialBounty () {
      const data = await rf.getRequest('BountyRequest').getSocialBounty();
      this.data = _.keyBy(data.data, 'type');
      this.initData();
      this.calculatorTotal();
    },
    calculatorTotal () {
      this.total = 0;
      Object.keys(this.data).forEach(key => {
        if (this.data[key].status === 'approved') {
          this.total = bignumber(this.total).plus(this.data[key].heta_tokens);
        }
      });
      this.total = this.total.toString();
    },
    createBounty (type, metaData) {
      if (!metaData.trim()) {
        this.$toasted.error(this.$t(`bounty.error.${type}`), {
          position: 'bottom-right',
          duration : 2000
        });
        return;
      }
      const params = {
        user_id: this.user.id,
        type,
        meta_data: metaData
      };
      rf.getRequest('BountyRequest').create(params)
        .then(res => {
          this.getSocialBounty();
        })
        .catch(res => {
          const message = _.chain(res.errors).values().head().value()[0] || 'Error';
          this.$toasted.error(message, {
            position: 'bottom-right',
            duration : 2000
          });
        })
    },
    initData () {
      this.fbShareMetaData = this.hasProperty('facebook_share') ? this.data.facebook_share.meta_data : '';
      this.ggShareMetaData = this.hasProperty('google_share') ? this.data.google_share.meta_data : '';
      this.linkedInShareMetaData = this.hasProperty('linkedin_share') ? this.data.linkedin_share.meta_data : '';
      this.twitterShareMetaData = this.hasProperty('twitter_share') ? this.data.twitter_share.meta_data : '';
      this.fbLikeMetaData = this.hasProperty('facebook_like') ? this.data.facebook_like.meta_data : '';
      this.youtubeMetaData = this.hasProperty('youtube_subscribe') ? this.data.youtube_subscribe.meta_data : '';
      this.linkedinConnectionMetaData = this.hasProperty('linkedin_connection') ? this.data.linkedin_connection.meta_data : '';
      this.twitterFollowMetaData = this.hasProperty('twitter_follow') ? this.data.twitter_follow.meta_data : '';
      // this.redditFollowMetaData = this.hasProperty('reddit_follow') ? this.data.reddit_follow.meta_data : '';
      this.telegramJoinMetaData = this.hasProperty('telegram_join') ? this.data.telegram_join.meta_data : '';
      this.telegramNewsJoinMetaData = this.hasProperty('telegram_news_join') ? this.data.telegram_news_join.meta_data : '';
      this.mediumFollowMetaData = this.hasProperty('medium_follow') ? this.data.medium_follow.meta_data : '';
      this.steemitFollowMetaData = this.hasProperty('steemit_follow') ? this.data.steemit_follow.meta_data : '';
      this.bitcoinTalkFollowMetaData = this.hasProperty('bitcoin_talk_follow') ? this.data.bitcoin_talk_follow.meta_data : '';
    },
  },
  created () {
    this.getSocialBounty();
  },
}
</script>

<style scoped lang="scss">
  @import '../../../../sass/variables';
  .title-text {
    font-size: 20px;
    font-weight: normal;
    color: rgb(255, 113, 0);
    margin-bottom: 32px;
  }
  .referral-program-table-container {
    margin-top: 20px;
    width: 100%;
    max-width: 1130px;
    border-radius: 3px;
    background-color: #ffffff;
    border: 1px solid #d2d2d2;
    .referral-program-table {
      width: 100%;
      thead {
        font-size: 14px;
        color: rgb(34,44,60);
        background-color: #efefef;
        margin-bottom: 20px;
        th {
          height: 39px;
          text-align: left;
          border-bottom: 2px solid #ebebeb;
          padding: 10px 0 10px 40px
        }
      }
      tbody {
        tr {
          &:first-child {
            td {
              padding-top: 20px !important;
            }

            td:nth-child(1),
            td:nth-child(2) {
              padding-top: 27px !important;
            }
          }

          &:nth-last-child(2) {
            td {
              padding-bottom: 30px !important;
            }
          }

          &:last-child {
            td {
              padding-bottom: 15px !important;
            }
          }

          td:nth-child(1),
          td:nth-child(2) {
            padding-top: 15px !important;
          }

          td:nth-child(4) {
            position: relative;
          }
        }

        td {
          font-size: 0;
          height: 39px;
          font-size: $small;
          color: #222c3c;
          padding: 10px 0 7px 40px;
          vertical-align: top;
          &.total {
            font-size: 14px;
            color: rgb(34,44,60);
            font-weight: 700;
          }
          input {
            text-align: center;
            padding: 5px;
            &::placeholder {
              font-weight: 400;
              color:  #d0d0d0;
            }
          }

          &:last-child {
            text-align: center;
            padding-left: 20px;
            padding-right: 20px;
          }
        }
      }
    }
  }

  .totalRow {
    background-color: $dark_orange;

    .total {
      color: #fff !important;
      text-transform: uppercase;
    }
  }
</style>
<style lang="scss">
  @import '../../../../sass/variables';
  .toasted-container .toasted {
    padding: 0 10px !important;
  }
  .btn-share {
    height: 32px;
    line-height: 32px;
    margin-bottom: 0;
    width: 135px;
    display: inline-block;
    text-align: center;
    border: 1px solid;
    border-radius: 74px;
    cursor: pointer;
    font-size: 0;
    &.facebook {
      border-color: #3b5998;
      background: #3b5998;
    }
    &.google {
      border-color: #dd4b39;
      background: #dd4b39;
    }
    &.linkedin {
      border-color: #0e76a8;
      background: #0e76a8;
    }
    &.reddit {
      border-color: #ff4500;
      background: #ff4500;
    }
    &.twitter {
      border-color: #26a6d1;
      background: #26a6d1;
    }
    &.telegram {
      border-color: #3b9cd0;
      background: #7ca4de;
    }
    &.youtube {
      border-color: #dd4b39;
      background: #dd4b39;
    }
    &.medium {
      border-color: #0e76a8;
      background: #0e76a8;
      line-height: 26px;
    }
    &.steemit {
      border-color: #0e76a8;
      background: #0e76a8;
    }
    &.btc {
      border-color: #efb30c;
      background: #efb30c;
    }

    &.medium,
    &.steemit,
    &.btc {
      font-size: 20px;
      line-height: 0;

      [class^="iconmo-"] {
        font-size: 20px;
      }
    }

    &.medium {
      [class^="iconmo-"] {
        line-height: 30px;
      }
    }

    &.steemit,
    &.btc {
      line-height: 28px;
    }

    .icon {
      color: #fff;
      display: inline-block;
      position: relative;
      font-size: 16px;
      vertical-align: middle;
    }
    .text {
      color: #fff;
      vertical-align: middle;
      display: inline-block;
      font-size: $tiny;
      text-transform: uppercase;
      font-weight: bold;
    }

    &:hover {
      color: transparent !important;
    }
  }

  [class^="iconmo"],
  .fa-steemit,
  .btc-icon {
    font-size: 29px;
    vertical-align: middle;
  }
</style>

<style scoped lang="scss">
  @import '../../../../sass/variables';
  .bounty-social {
    padding: 30px 0;
  }

  .note {
    display: none;
    font-size: $small;
    color: #222c3c;

    .note__item {
        margin-bottom: 10px;
    }
  }

  .form-control {
    border-radius: 30px;
    height: auto;
    padding: 3px 25px !important;
  }

  .btn-orange {
    width: 90px;
    border-radius: 30px;
    border: 1px solid $orange;
    background-color: $bg_white;
    color: $orange;
    font-size: $tiny;
    transition: all 0.3s ease-in-out;

    &:hover {
      background-color: $orange;
      color: #fff;
    }
  }

  .input-wrapper {
    position: relative;
  }

  .fa-steemit,
  .btc-icon {
    width: 22px;
    height: 22px;
    border-radius: 50%;
    display: inline-block;
    background-size: cover;
    background-position: center;
    background-image: url("/images/icon/steemit2.png");
  }

  .btc-icon {
    background-image: url("/images/icon/balanceImg/heta-btc-icon.png");
  }

  .sub-description {
    position: absolute;
    left: 0;
    bottom: -11px;
    padding-left: 50px;
    color: #888;
    font-size: 11px;
  }

  @media screen and (max-width: 991px) {
    .referral-program-table {
      tr th:first-child,
      tr td:first-child {
        display: none;
      }

      tr td:last-child {
        padding-right: 15px;
        padding-left: 40px;
      }

      tr td {
        padding-left: 35px !important;
      }

      tr th {
        padding-left: 35px !important;
      }
    }
  }

  @media screen and (max-width: 767px) {
    .note {
      display: block;
    }

    .referral-program-table {
      .sub-description {
        display: none;
      }

      tr td {
        padding-left: 10px !important;
      }

      tr th {
        padding-left: 10px !important;
      }

      .btn-orange {
        padding-left: 0.5rem;
        padding-right: 0.5rem;
      }
    }

    .form-control {
      border: solid 1px #d8d8d8;
      &::placeholder {
        font-size: 0;
        color: #b0b0b0;
      }
    }
  }

  .status_approved {
    color: #09a532;
    text-transform: capitalize;
    font-weight: bold;
  }
  .status_pending {
    color: #ffb200;
    text-transform: capitalize;
    font-weight: bold;
  }
  .status_rejected {
    color: red;
    text-transform: capitalize;
    font-weight: bold;
  }

  @media screen and (max-width: 1200px) {
    .referral-program-table-container .referral-program-table tbody td,
    .sub-description {
      padding-left: 15px !important;
    }

    .referral-program-table tr th {
      padding-left: 15px !important;
    }

    .sub-description {
      font-size: 11px;
      bottom: -9px !important;
    }
  }
</style>
